<?php
/**
 * Register widget areas
 *
 * @package arcHIVE-theme
 * @since arcHIVE-theme 1.0.0
 */

if ( ! function_exists( 'foundationpress_sidebar_widgets' ) ) :
	function foundationpress_sidebar_widgets() {
	 register_sidebar(
			array(
				'id'            => 'home-announcement-widgets',
				'name'          => __( 'Home Announcement widgets', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this Home page container.', 'foundationpress' ),
				'before_widget' => '<section id="%1$s" class="widget slide %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
		register_sidebar(
			array(
				'id'            => 'announcement-widgets',
				'name'          => __( 'Announcement widgets', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this announcement container.', 'foundationpress' ),
				'before_widget' => '<section id="%1$s" class="widget slide %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);

		register_sidebar(
			array(
				'id'            => 'footer-widgets',
				'name'          => __( 'Footer widgets', 'foundationpress' ),
				'description'   => __( 'Drag widgets to this footer container. They will show at the very bottom.', 'foundationpress' ),
				'before_widget' => '<section id="%1$s" class="widget %2$s">',
				'after_widget'  => '</section>',
				'before_title'  => '<h6>',
				'after_title'   => '</h6>',
			)
		);
	}

	add_action( 'widgets_init', 'foundationpress_sidebar_widgets' );
endif;
